import { Dispatch, SetStateAction } from 'react';
import { MultiValue, StorageTypes } from './storage';
/**
 * Same as useStorage() but does enable dynamic storage updates by
 * subscribing to the window `storage` event.
 */
export declare function useReactiveStorage<S extends MultiValue>(initialState?: S | (() => S), prefix?: string, storage?: StorageTypes): [S, Dispatch<SetStateAction<S>>];
